/**
 * @author WanJl
 * @version 1.0
 * @title Demo07
 * @description java的类型推断 var  (JDK10+)
 * @create 2026/7/13
 */
public class Demo07 {
    public static void main(String[] args) {
        /*
            JDK10以上，新增了类型推断
            之前的Java属于强类型语言
                |- 定义变量的时候，必须先指定类型
                |- 变量值必须要符合类型的要求
                int a=10;
                int b="张三"; //报错
         */
        var name="张三";
        var age=25;
        var gender='男';
        var score=85.6;
        /*
            属于一种 编译时语法糖，不影响运行性能的。
         */
        System.out.println(name);
        System.out.println(age);
        System.out.println(gender);
        System.out.println(score);
    }
}
